// /*
// FileName:UserTaskStatus.js
// Version:1.0.0
// Purpose:Getting the List of all the lsit of mytaks list 
// Devloper:Mahesh
// */

// import React, { Component } from 'react';
// import { Platform, StyleSheet, Text, View, StatusBar, Dimensions, Image } from 'react-native';
// import {  Title, Button, Container, Content, Header, Right, Left, Body, Tab, Tabs, TabHeading, Footer, Item, Input, FooterTab } from 'native-base';
// import Active1 from '../UserComponents/UserTaskStatusActive';
// import InActive1 from '../UserComponents/UserTaskStatusInactive';
// import Icon from 'react-native-vector-icons/FontAwesome';
// import {EMPLOYEESTATUS,PENDINGSUBTASKS,COMPLETED} from '../CommonComponents/Header'


// export default class UserTaskStatus extends Component {
//   render() {
//     return (
      
//       <Container>
//         <Header
//           androidStatusBarColor="#00A2C1"
//           style={{
//             backgroundColor: '#00A2C1',
//             height: 60,
//             width: Dimensions.get('window').width,
//             borderBottomColor: '#ffffff',
//             justifyContent: 'space-between',
//           }}>
//           <Left>
//           <Icon name="bars" size={25} style={{ color: '#fff',}} onPress={() =>
//             this.props.navigation.toggleDrawer()} />
//           </Left>
//           <Body>
//             <Title style={{ color: '#fff', fontWeight: '600' }}>{PENDINGSUBTASKS}</Title>

//           </Body>
//           <Right>
//             <Icon name="home" size={25} style={{ color: '#fff' }}
//               onPress={() => this.props.navigation.navigate('UserProfile')} />
//           </Right>
//         </Header>
        

//         <Tabs tabBarUnderlineStyle={{ borderBottomWidth: 0 }}>
//           <Tab heading={<TabHeading style={{ backgroundColor: '#00A2C1' }}><Text style={{ color: '#fff' }}>{PENDINGSUBTASKS}</Text></TabHeading>}>
//       <Active1 navigation={this.props.navigation} />
//           </Tab>

//           {/* <Tab heading={<TabHeading style={{ backgroundColor: '#00A2C1' }}><Text style={{ color: '#fff' }}>InActive</Text></TabHeading>}>
//             <InActive1 navigation={this.props.navigation} />
//           </Tab> */}
//         </Tabs>
//       </Container>
//     );
//   }
// }

/*
FileName:UserMyTask.js
Version:1.0.0
Purpose:Getting the List of all the lsit of mytaks list 
Devloper:Rishitha,Naveen,Harsha
*/

import React, { Component } from 'react';
import { Platform, StyleSheet, Text, View, StatusBar, Dimensions, Image,Picker } from 'react-native';
import { Icon, Title, Button, Container, Content, Header, Right, Left, Body, Tab, Tabs, TabHeading, Footer, Item, Input, FooterTab } from 'native-base';
import Active1 from '../UserComponents/UserTaskStatusActive';
import {MYTASK,PENDING,COMPLETED,PENDINGSUBTASKS} from '../CommonComponents/Header'
import log from '../LogFile/Log';
import AsyncStorage from '@react-native-community/async-storage';
import { API } from "../WebServices/RestClient";
import NetInfo from '@react-native-community/netinfo';
import Snackbar from 'react-native-snackbar';
import jwt_decode from "jwt-decode";
// import { Dropdown } from 'react-native-material-dropdown';
export default class MyTask extends Component {
  constructor(props) {
    super(props);

    this.state = {
        isLoading: true,
        profileInfo: [],
        data2: [],
        empstatus: '',
        city: null,
        mobile: '',
        dataSource: [],
        squadName:'',
    }
}

componentDidMount(){
  this.GetStatus();
}
    //get project list dropdown data
    GetStatus() {
      log("Info", "UserProfile:GetStatus() method is used to get status of employee");
      AsyncStorage.getItem("userName", (err, res) => {
          const userName = res;
          NetInfo.fetch().then(state => {
              if (state.type == "none" || state.type == 'unknown' || state.type == 'undefined') {
                  // console.log(state.type);
                  Snackbar.show({
                      title: 'No Internet Connection',
                      backgroundColor: 'red',
                      duration: Snackbar.LENGTH_LONG,
                  });
              } else {

                  fetch(API + 'squadsList.php', {
                      method: 'POST',
                      headers: {
                          Accept: 'application/json',
                          'Content-Type': 'application/json',
                      },
                      body: JSON.stringify({
                        
                          username: userName,


                      })
                  })
                      .then((response) => response.json())
                      .then((responseJson) => {
                          console.warn(responseJson)
                          if (responseJson.status == 'True') {
                              this.setState({
                                  isLoading: false,
                                  dataSource: [...responseJson.data],
                              }, function () {
                                  // In this block you can do something with new state.
                              });

                              // const data2 = [];

                              // responseJson.data.map(x => {
                              //     data2.push({ label: x.value, value: x.value })
                              // })
                              // this.setState({
                              //     data2: data2,
                              // })
                              // console.warn("Hello" + JSON.stringify(data2))

                              // this.setState({
                              //     data2: responseJson.data
                              // });
                              // console.warn(this.state.data2);
                          } else {
                              log("Warn", "status of employee is not available");
                          }
                      })
                      .catch((error) => {
                          console.error(error);
                          log("Error", "error in  getting status of employee");
                      });
              }
          });
      });

  }

  // Change Project 
  UpdateStatus(squadName) {
      // const { squadName } = this.state;
      log("Info", "UserProfile:UpdateStatus(status) method is used to update status of employee");
      console.warn("Hello" +squadName);

      AsyncStorage.getItem("userName", (err, res) => {
          const userName = res;
          console.log(res);


         
              // console.log(cropcode);
              NetInfo.fetch().then(state => {
                  if (state.type == "none" || state.type == 'unknown' || state.type == 'undefined') {
                      console.log(state.type);
                      Snackbar.show({
                          title: 'No Internet Connection',
                          backgroundColor: 'red',
                          duration: Snackbar.LENGTH_LONG,
                      });
                  } else {

                      fetch(API + 'squadLogin.php', {
                          method: 'POST',
                          headers: {
                              Accept: 'application/json',
                              'Content-Type': 'application/json',
                          },
                          body: JSON.stringify({
                              username:userName,
                              crop: squadName,

                          })
                      })
                          .then((response) => response.json())
                          .then((responseJson) => {
                              console.warn(JSON.stringify(responseJson))

                              if (responseJson.status == 'TRUE') {
                                  AsyncStorage.setItem('auth', responseJson.jwt) //store the token information  with exp
                                  const tokenDetails = jwt_decode(responseJson.jwt);
                                  console.log(tokenDetails.data)
                                  AsyncStorage.setItem('roleCount', tokenDetails.data.roleCount)
                                  // dispatch(setCurrentUser(tokenDetails.data)); //store the user information
                                  AsyncStorage.setItem('status', tokenDetails.data.empStatus)
                      
                                 
                                    AsyncStorage.setItem('userToken', tokenDetails.data.empId);
                                    AsyncStorage.setItem('userName', tokenDetails.data.userName);
                                    AsyncStorage.setItem('emp_role', tokenDetails.data.role);
                                    AsyncStorage.setItem('cropcode',tokenDetails.data.corp);
                                
                                    // this.props.navigation.navigate('UserProfile');
                                  // console.warn("HI" + empstatus)
                                  this.setState({

                                      squadName: squadName
                                  });
                                  //  alert("Project Changed Successfully")


                              } else {
                                  //    alert("user already exist");
                                  log("Warn", "status of employee is not able to update");
                              }

                          })
                          .catch((error) => {
                              console.warn(error);
                              log("Error", "error in updating status of employee");
                          });
                  }
              });
          });

  }
  render() {
    return (
      
      <Container>
        <Header
          androidStatusBarColor="#00A2C1"
          style={{
            backgroundColor: '#00A2C1',
            height: 60,
            width: Dimensions.get('window').width,
            borderBottomColor: '#ffffff',
            justifyContent: 'space-between',
          }}>
              <View style={{ marginTop: 20 }}>
                        <Icon name="md-menu" size={25} style={{ color: 'white', }} onPress={() =>
                           this.props.navigation.toggleDrawer()} />
                    </View>

                       {/* <View style={{backgroundColor:'white',width:200,borderRadius:20,paddingBottom:10}}>
                    
                    <Dropdown
       label={this.state.squadName}
        data={this.state.dataSource}
        style={{width:200,marginBottom:10}}
        onChangeText={(itemValue) => { this.UpdateStatus(itemValue) }}
        value={this.state.squadName}

      />
      </View> */}
                    {/* <View style={{ flexDirection: 'row', marginLeft: 15 }}> */}
                    <View style={{backgroundColor:'white',width:300,borderRadius:20,height:50,marginTop:5}}>
                    <Picker
                    
                     style={pickerSelectStyles.inputAndroid}
                        selectedValue={this.state.squadName}
                        // onChangeText={(itemValue) => { this.UpdateStatus(itemValue) }}
                        

                        // onValueChange={(itemValue, itemIndex) => this.setState({ squadName: itemValue })} >

                         onValueChange={(itemValue, itemIndex) => this.UpdateStatus(itemValue)} >

                        {this.state.dataSource.map((item, key) => (
                            <Picker.Item label={item.value} value={item.value} key={key} />)
                        )}

                    </Picker>
                    </View>
                   
                      {/* </View> */}

          {/* <Left>
            <Icon name="md-menu" style={{ color: '#fff' }} onPress={() =>
              this.props.navigation.toggleDrawer()} />
          </Left>
          <Body>
            <Title style={{ color: '#fff', fontWeight: '600' }}>{MYTASK}</Title>

          </Body>
          <Right>
            <Icon name="ios-home" style={{ color: '#fff' }}
              onPress={() => this.props.navigation.navigate('UserProjects')} />
          </Right> */}
        </Header>
        

        <Tabs tabBarUnderlineStyle={{ borderBottomWidth: 0 }}>
          <Tab heading={<TabHeading style={{ backgroundColor: '#00A2C1' }}><Text style={{ color: '#fff' }}>{PENDINGSUBTASKS}</Text></TabHeading>}>
          <Active1 navigation={this.props.navigation} />
          </Tab>

          {/* <Tab heading={<TabHeading style={{ backgroundColor: '#00A2C1' }}><Text style={{ color: '#fff' }}>{COMPLETED}</Text></TabHeading>}>
            <Completed navigation={this.props.navigation} />
          </Tab> */}
        </Tabs>
      </Container>
    );
  }
}

const pickerSelectStyles = StyleSheet.create({
  inputIOS: {
      fontSize: 2,
      paddingVertical: 12,
      paddingHorizontal: 10,
      borderWidth: 1,
      borderColor: 'blue',
      borderRadius: 4,
      color: 'black',
      paddingRight: 30, // to ensure the text is never behind the icon
  },
  inputAndroid: {
      fontSize: 3,
      paddingHorizontal: 10,
      paddingVertical: 8,
      borderWidth: 0.5,
      borderColor: 'black',
      borderRadius: 8,
      color: 'black',
      paddingRight: 30, // to ensure the text is never behind the icon
      // backgroundColor:'pink'
  },
});
